System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Class | System.AttributeTargets.Struct | System.AttributeTargets.Enum | System.AttributeTargets.Constructor | System.AttributeTargets.Method | System.AttributeTargets.Property | System.AttributeTargets.Field | System.AttributeTargets.Event | System.AttributeTargets.Interface | System.AttributeTargets.Delegate | System.AttributeTargets.All)

is a hint to a designer indicating whether a property or method is to be displayed. You can use this type in a visual designer or text editor to determine what is visible to the user. For example, the IntelliSense engine in vsprvs uses this attribute to determine whether to show a property or method.

In csprcs, you can control when advanced properties appear in IntelliSense and the Properties Window with the Hide Advanced Members setting under Tools | Options | Text Editor | C#. The corresponding is .

In csprcs, does not suppress members from a class in the same assembly.

Specifies that a property or method is viewable in an editor. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The default for this property is .

  Initializes a new instance of the class with set to the default state.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with an .

  The to set to.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Returns whether the value of the given object is equal to the current .

  true if the value of the given object is equal to that of the current; otherwise, false.

  The object to test the value equality of.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added To be added: an object of type 'int' To be added
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.EditorBrowsableState To be added: an object of type 'EditorBrowsableState'

  The default for this property is .

  Gets the browsable state of the property or method.